/Users/bernard/b20/bsoft/src/bparam.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bparam.cpp - A tool to extract parameters from coordinate files.

SYNOPSIS

#include 'rwmolecule.h'
#include 'rwmd.h'
#include 'mol_param.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

A tool to extract parameters from coordinate files.

Author:
    Bernard Heymann

Date:
    Created: 20050304

    Modified: 20150512

Definition in file bparam.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 46 of file bparam.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bparam [options] param.star",
"----------------------------------",
"Manipulate molecular parameter files.",
" ",
"Actions:",
"-select CA               Atom selection (default all).",
"-bonds                   List all bond lengths.",
"-angles                  List all angles.",
"-length 1.85             Length to define bonds.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-elements                Use elements as identifiers rather than atom names.",
" ",
"Input:",
"-from input.pdb          Extract parameters from an atomic coordinate file.",
"-parameters parm.star    Molecular parameter file (default atom_prop.star)",
" ",
"Output:",
"-output param.star       Output parameter file.",
" ",
NULL
}

Definition at line 20 of file bparam.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.